Bug 245889 - ZFS should not limit setting of salted checksums on boot file systems
Summary: ZFS should not limit setting of salted checksums on boot file systems
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Allan Jude
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-24 19:01 UTC by Xin LI
Modified: 2020-07-28 02:15 UTC (History)
4 users (show)

See Also:
allanjude: mfc-stable12+
allanjude: mfc-stable11+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xin LI freebsd_committer 2020-04-24 19:01:24 UTC
As of r304321, boot loader gained support of SHA512 and Skein; setting checksum=skein should be allowed for boot filesystems.

Same as https://www.illumos.org/issues/8906 .  Illumos change https://github.com/illumos/illumos-gate/commit/0dd498c0020c4a0dd34d350b07f97399a475d102 should be applied on FreeBSD too.
Comment 1 commit-hook freebsd_committer 2020-06-19 18:00:18 UTC
A commit references this bug:

Author: allanjude
Date: Fri Jun 19 17:59:56 UTC 2020
New revision: 362396
URL: https://svnweb.freebsd.org/changeset/base/362396

Log:
  ZFS: Allow setting checksum=skein on boot pools

  PR:		245889
  Reported by:	delphij
  Sponsored by:	Klara Inc.

Changes:
  head/cddl/contrib/opensolaris/cmd/zfs/zfs.8
  head/cddl/contrib/opensolaris/cmd/zpool/zpool-features.7
  head/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_ioctl.c
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-20 02:47:43 UTC
^Triage: Has this been merged to stable/11 already (mfc-stable +), or is it pending? base r362396 did't have an MFC flag, so unsure.

If its already been merged, please add a "base rXXXXX" to autolink to the merge commit in a comment and set mfc-stable12 to + again, otherwise please reference this PR: in a subsequent merge and set it to + after the merge is complete
Comment 3 commit-hook freebsd_committer 2020-07-11 15:58:16 UTC
A commit references this bug:

Author: allanjude
Date: Sat Jul 11 15:57:48 UTC 2020
New revision: 363098
URL: https://svnweb.freebsd.org/changeset/base/363098

Log:
  MFC r362396
    ZFS: Allow setting checksum=skein on boot pools

  PR:		245889
  Reported by:	delphij
  Sponsored by:	Klara Inc.
  Event:		July 2020 Bugathon

Changes:
_U  stable/11/
  stable/11/cddl/contrib/opensolaris/cmd/zfs/zfs.8
  stable/11/cddl/contrib/opensolaris/cmd/zpool/zpool-features.7
  stable/11/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_ioctl.c
_U  stable/12/
  stable/12/cddl/contrib/opensolaris/cmd/zfs/zfs.8
  stable/12/cddl/contrib/opensolaris/cmd/zpool/zpool-features.7
  stable/12/sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_ioctl.c
Comment 4 VVD 2020-07-27 07:11:34 UTC
Sorry for noise, maybe I misunderstand…
In man page of this patch (cddl/contrib/opensolaris/cmd/zfs/zfs.8) "The salted checksum algorithm is currently not supported on FreeBSD.", but in "sys/cddl/contrib/opensolaris/uts/common/fs/zfs/zfs_ioctl.c" if section "Salted checksums are not supported on root pools." was removed.
So are salted checksums supported on FreeBSD or not? And on root/boot pools?
Comment 5 Allan Jude freebsd_committer 2020-07-28 02:15:28 UTC
Skein is supported, for root/boot

Edon-r is not supported at all (not even to mount the filesystem)